Get SeasLog request_id differentiated requests

- « SeasLog::getLastLogger

- SeasLog::getRequestVariable »

- PHP Manual
- SeasLog
- Get SeasLog request_id differentiated requests

# SeasLog::getRequestID

(PECL seaslog >=1.0.0)

SeasLog::getRequestID — Get SeasLog request_id differentiated requests

### Description

public static SeasLog::getRequestID(): string

To distinguish a single request, such as not invoking the SeasLog::setRequestId() function， the unique value generated by the built-in `static char *get_uniqid ()` function is used when the request is initialized.

### Parameters

This function has no parameters.

### Return Values

Return string generated by the built-in `static char *get_uniqid ()` function, or setted by SeasLog::setRequestId() function.

### Examples

Example #1 SeasLog::getRequestID() example

    <?phpvar_dump(SeasLog::getRequestID());var_dump(SeasLog::setRequestID('reqeust_id_test_'.time()));var_dump(SeasLog::getRequestID());?>

The above example will output something similar to:

    string(13) "5b3f21a209519"
    bool(true)
    string(26) "reqeust_id_test_1530864034"

### See Also

- SeasLog::setRequestID() - Set SeasLog request_id differentiated requests
- The Variable `%Q` in Seaslog Default Variable Table.